defineProperty("Menu1", 	globalPropertyf("com/ksgy/Menu1"))
-- defineProperty("Menu2", 	globalPropertyf("com/ksgy/Menu2"))
-- defineProperty("Menu3", 	globalPropertyf("com/ksgy/Menu3"))

defineProperty("panel_1") 
-- defineProperty("panel_2") 
-- defineProperty("panel_3") 

local p1 = get(panel_1)
-- local p2 = get(panel_2)
-- local p3 = get(panel_3)

-- logic of show/hide menu
function update()

 -- set visible property
 p1.visible = get(Menu1) == 1
 -- p2.visible = get(Menu2) == 1
 --p3.visible = get(Menu3) == 1

 
end